Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.session
Class ImplementationClassFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory

Direct Known Subclasses:
  AddressbookSessionServiceImplFactory, AttestServiceImplementationFactory, ChapterIVServiceImplementationFactory, CivicsImplementationClassFactory, DicsImplementationClassFactory, DmgServiceImplementationFactory, EhboxServiceImplementationFactory, GenAsyncServiceImplementationFactory, GenericServiceImplementationFactory, GenInsServiceImplementationFactory, HubServiceCompleteImplementationFactory, HubServiceImplementationFactory, RegsitrationImplementationClassFactory, SsinHistorySessionServiceImplFactory, TarificationImplementationClassFactory, TherlinkServiceImplementationFactory, WsConsentServiceImplementationFactory

    public abstract class ImplementationClassFactory

extends Object

creates implementation classes for services. subclasses must choose the exact constructor of the service to use, and have some input parameters available to use.

Constructor Summary
`ImplementationClassFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto hokCrypto, Crypto encryptionCrypto, String... additionalParameters)` Deprecated. use the other createImplementationClass method without crypto
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationClassFactory

    public ImplementationClassFactory()

Method Detail

### createImplementationClass

    @Deprecated
    public <T> T createImplementationClass(Class<T> clazz,
                                                      SessionValidator sessionValidator,
                                                      EhealthReplyValidator replyValidator,
                                                      Crypto hokCrypto,
                                                      Crypto encryptionCrypto,
                                                      String... additionalParameters)
                                throws TechnicalConnectorException,
                                       ConnectorException

  Deprecated. use the other createImplementationClass method without crypto

  creates the implementation for a range of possible classes.

  Type Parameters:
    `T` -
  Parameters:
    `clazz` - the class
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator
    `hokCrypto` - the hok crypto
    `encryptionCrypto` - the encryption crypto
  Returns:
    the implementation class
  Throws:
    `TechnicalConnectorException`
    `ConnectorException`

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           String... additionalParameters)
                                throws TechnicalConnectorException,
                                       ConnectorException

  Throws:
    `TechnicalConnectorException`
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.